
#version 150 compatibility 

/// The input sampler which is to be mapped
/// to the output pixels
uniform sampler2D uni_tex_smp ;

void main()
{
	gl_FragColor = vec4(1.0) - texture2D(uni_tex_smp, gl_TexCoord[0].xy)  ;
	gl_FragColor.a = 1.0 ;
	//gl_FragColor = vec4(1.0,0.0,0.0,1.0) ;
	//gl_FragColor.b = mix(0.0,0.6,gl_FragColor.b) ;
}